LibOFX: gengetopt_args_info Struct Reference

LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
gengetopt_args_info Struct Reference

Where the command line options are stored. More...

## Data Fields
const char * | help_help
| Print help and exit help description.
const char * | version_help
| Print version and exit help description.
char * | fipid_arg
| FI partner identifier (looks up fid, org & url from partner server).
char * | fipid_orig
| FI partner identifier (looks up fid, org & url from partner server) original value given at command line.
const char * | fipid_help
| FI partner identifier (looks up fid, org & url from partner server) help description.
char * | fid_arg
| FI identifier.
char * | fid_orig
| FI identifier original value given at command line.
const char * | fid_help
| FI identifier help description.
char * | org_arg
| FI org tag.
char * | org_orig
| FI org tag original value given at command line.
const char * | org_help
| FI org tag help description.
char * | bank_arg
| IBAN bank identifier.
char * | bank_orig
| IBAN bank identifier original value given at command line.
const char * | bank_help
| IBAN bank identifier help description.
char * | broker_arg
| Broker identifier.
char * | broker_orig
| Broker identifier original value given at command line.
const char * | broker_help
| Broker identifier help description.
char * | user_arg
| User name.
char * | user_orig
| User name original value given at command line.
const char * | user_help
| User name help description.
char * | pass_arg
| Password.
char * | pass_orig
| Password original value given at command line.
const char * | pass_help
| Password help description.
char * | acct_arg
| Account ID.
char * | acct_orig
| Account ID original value given at command line.
const char * | acct_help
| Account ID help description.
int | type_arg
| Account Type 1=checking 2=invest 3=ccard.
char * | type_orig
| Account Type 1=checking 2=invest 3=ccard original value given at command line.
const char * | type_help
| Account Type 1=checking 2=invest 3=ccard help description.
long | past_arg
| How far back to look from today (in days).
char * | past_orig
| How far back to look from today (in days) original value given at command line.
const char * | past_help
| How far back to look from today (in days) help description.
char * | url_arg
| Url to POST the data to (otherwise goes to stdout).
char * | url_orig
| Url to POST the data to (otherwise goes to stdout) original value given at command line.
const char * | url_help
| Url to POST the data to (otherwise goes to stdout) help description.
int | trid_arg
| Transaction id.
char * | trid_orig
| Transaction id original value given at command line.
const char * | trid_help
| Transaction id help description.
const char * | statement_req_help
| Request for a statement help description.
const char * | accountinfo_req_help
| Request for a list of accounts help description.
const char * | payment_req_help
| Request to make a payment help description.
const char * | paymentinquiry_req_help
| Request to inquire about the status of a payment help description.
const char * | bank_list_help
| List all known banks help description.
const char * | bank_fipid_help
| List all fipids for a given bank help description.
const char * | bank_services_help
| List supported services for a given fipid help description.
const char * | allsupport_help
| List all banks which support online banking help description.
unsigned int | help_given
| Whether help was given.
unsigned int | version_given
| Whether version was given.
unsigned int | fipid_given
| Whether fipid was given.
unsigned int | fid_given
| Whether fid was given.
unsigned int | org_given
| Whether org was given.
unsigned int | bank_given
| Whether bank was given.
unsigned int | broker_given
| Whether broker was given.
unsigned int | user_given
| Whether user was given.
unsigned int | pass_given
| Whether pass was given.
unsigned int | acct_given
| Whether acct was given.
unsigned int | type_given
| Whether type was given.
unsigned int | past_given
| Whether past was given.
unsigned int | url_given
| Whether url was given.
unsigned int | trid_given
| Whether trid was given.
unsigned int | statement_req_given
| Whether statement-req was given.
unsigned int | accountinfo_req_given
| Whether accountinfo-req was given.
unsigned int | payment_req_given
| Whether payment-req was given.
unsigned int | paymentinquiry_req_given
| Whether paymentinquiry-req was given.
unsigned int | bank_list_given
| Whether bank-list was given.
unsigned int | bank_fipid_given
| Whether bank-fipid was given.
unsigned int | bank_services_given
| Whether bank-services was given.
unsigned int | allsupport_given
| Whether allsupport was given.
char ** | inputs
| unamed options (options without names)
unsigned | inputs_num
| unamed options number
int | command_group_counter
| Counter for group command.
char * | import_format_arg
| Force the file format of the file(s) specified (default='AUTODETECT').
char * | import_format_orig
| Force the file format of the file(s) specified original value given at command line.
const char * | import_format_help
| Force the file format of the file(s) specified help description.
const char * | list_import_formats_help
| List available import file formats 'import-format' command help description.
int | msg_parser_flag
| Output file parsing messages (default=off).
const char * | msg_parser_help
| Output file parsing messages help description.
int | msg_debug_flag
| Output messages meant for debuging (default=off).
const char * | msg_debug_help
| Output messages meant for debuging help description.
int | msg_warning_flag
| Output warning messages about abnormal conditions and unknown constructs (default=on).
const char * | msg_warning_help
| Output warning messages about abnormal conditions and unknown constructs help description.
int | msg_error_flag
| Output error messages (default=on).
const char * | msg_error_help
| Output error messages help description.
int | msg_info_flag
| Output informational messages about the progress of the library (default=on).
const char * | msg_info_help
| Output informational messages about the progress of the library help description.
int | msg_status_flag
| Output status messages (default=on).
const char * | msg_status_help
| Output status messages help description.
unsigned int | import_format_given
| Whether import-format was given.
unsigned int | list_import_formats_given
| Whether list-import-formats was given.
unsigned int | msg_parser_given
| Whether msg_parser was given.
unsigned int | msg_debug_given
| Whether msg_debug was given.
unsigned int | msg_warning_given
| Whether msg_warning was given.
unsigned int | msg_error_given
| Whether msg_error was given.
unsigned int | msg_info_given
| Whether msg_info was given.
unsigned int | msg_status_given
| Whether msg_status was given.

## Detailed Description

Where the command line options are stored.

Definition at line 42 of file ofxconnect/cmdline.h.

The documentation for this struct was generated from the following files:

- ofxconnect/cmdline.h
- ofxdump/cmdline.h